* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: #f7ecd2;
    font-family: "Cinzel", serif;
    color: #4a2c11;
    overflow-x: hidden;
}


.auth-page {
    min-height: calc(100vh - 100px);
    display: flex;
    justify-content: center;
    align-items: flex-start;
    padding-top: 60px;
}



.auth-card {
    width: 420px;
    background: #f5e7c9;
    border: 5px solid #8a6334;
    border-radius: 28px;
    overflow: hidden;
    box-shadow: 6px 6px 0 rgba(90, 58, 26, 0.25);
    margin-top: 50px;
    margin-bottom: 50px;
}



.auth-header {
    background: #4b2404;
    color: #d9b067;
    font-size: 2.4rem;
    letter-spacing: 4px;
    font-weight: 600;
    padding: 18px 24px;
    text-transform: uppercase;
}



.auth-content {
    padding: 24px;
}



.form-group {
    margin-bottom: 18px;
}

.form-group label {
    display: block;
    margin-bottom: 8px;
    font-size: 0.9rem;
    font-weight: 700;
    letter-spacing: 1px;
    color: #9a7950;
}

.form-group input {
    width: 100%;
    height: 48px;
    padding: 0 15px;
    border: 2px solid #deb36a;
    border-radius: 12px;
    background: #fbf2e2;
    font-family: inherit;
    font-size: 0.95rem;
    outline: none;
}

.form-group input:focus {
    border-color: #c78b11;
}



form {
    border-bottom: 1px solid #e4d2ae;
    padding-bottom: 18px;
}



.auth-btn {
    width: 100%;
    height: 48px;
    border: none;
    border-radius: 12px;
    background: #d08800;
    color: white;
    font-family: inherit;
    font-size: 1rem;
    font-weight: 700;
    letter-spacing: 1px;
    cursor: pointer;
    margin-top: 10px;
    transition: 0.3s;
}

.auth-btn:hover {
    background: #b97900;
}



.auth-error {
    background: #ffe0e0;
    border: 1px solid #ff8d8d;
    color: #b00000;
    padding: 12px;
    border-radius: 10px;
    margin-bottom: 20px;
}



.auth-link {
    text-align: center;
    margin-top: 18px;
    font-size: 0.85rem;
}

.auth-link a {
    color: #b06f1a;
    font-weight: 700;
    text-decoration: none;
}

.auth-link a:hover {
    text-decoration: underline;
}



@media (max-width: 500px) {
    .auth-card {
        width: 95%;
    }

    .auth-header {
        font-size: 2rem;
    }
}